package com.hh.lib_face.storageface.bean;

/**
 * Description: $
 *
 * @author xwh
 * time 2024/7/18
 **/
public class BPaaSOpenRocketBean {

    String machineAppId;  //设备的appid
    private String serviceAppId ;  //商户的appid(三要素权限)

    String orgOutId; //机构编码，示例：abcdefg_123
    String componentOutId;  //组件编码，示例：day_label_sign_online 老年食堂
    String isvPid;   //ISV的PID  支付宝平台有这个PID

    String uniqueId="";     //失败的时候返回的uniqueId

    //有uniqueId 下方 name\certNo必传，phone 选传
    String name;
    String certNo;
    String phone;

    String zolozConfig;
    String D2Config;

    String appid ;  //小程序入参，serviceAppId ; 商户的appid(三要素权限)

    public String getMachineAppId() {
        return machineAppId;
    }

    public void setMachineAppId(String machineAppId) {
        this.machineAppId = machineAppId;
    }

    public String getServiceAppId() {
        return appid;
    }

    public void setServiceAppId(String serviceAppId) {
        this.appid = serviceAppId;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getOrgOutId() {
        return orgOutId;
    }

    public void setOrgOutId(String orgOutId) {
        this.orgOutId = orgOutId;
    }

    public String getComponentOutId() {
        return componentOutId;
    }

    public void setComponentOutId(String componentOutId) {
        this.componentOutId = componentOutId;
    }

    public String getIsvPid() {
        return isvPid;
    }

    public void setIsvPid(String isvPid) {
        this.isvPid = isvPid;
    }


    public String getUniqueId() {
        return uniqueId;
    }

    public void setUniqueId(String uniqueId) {
        this.uniqueId = uniqueId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCertNo() {
        return certNo;
    }

    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getZolozConfig() {
        return zolozConfig;
    }

    public void setZolozConfig(String zolozConfig) {
        this.zolozConfig = zolozConfig;
    }

    public String getD2Config() {
        return D2Config;
    }

    public void setD2Config(String d2Config) {
        D2Config = d2Config;
    }

    @Override
    public String toString() {
        return "StartBPaaSOpenRocketBean{" +
                "machineAppId='" + machineAppId + '\'' +
                ", serviceAppId='" + serviceAppId + '\'' +
                ", orgOutId='" + orgOutId + '\'' +
                ", componentOutId='" + componentOutId + '\'' +
                ", isvPid='" + isvPid + '\'' +
                ", uniqueId='" + uniqueId + '\'' +
                ", name='" + name + '\'' +
                ", certNo='" + certNo + '\'' +
                ", phone='" + phone + '\'' +
                '}';
    }
}
